package com.demo.entity.dto;

public class DeviceReturnDto {

    private String data;
    private int datelen;
    private String akey; //RSA加密的AES密钥
    private String pkey; //RSA公钥

    public DeviceReturnDto() {
    }

    public DeviceReturnDto(String data, int datelen, String akey, String pkey) {
        this.data = data;
        this.datelen = datelen;
        this.akey = akey;
        this.pkey = pkey;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public int getDatelen() {
        return datelen;
    }

    public void setDatelen(int datelen) {
        this.datelen = datelen;
    }

    public String getAkey() {
        return akey;
    }

    public void setAkey(String akey) {
        this.akey = akey;
    }

    public String getPkey() {
        return pkey;
    }

    public void setPkey(String pkey) {
        this.pkey = pkey;
    }
}
